Bug 213632 - [NEW PORT] devel/arduino-libastylej: Patched version of libastylej to be used by the Arduino IDE
Summary: [NEW PORT] devel/arduino-libastylej: Patched version of libastylej to be used...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords: feature, needs-qa
Depends on: 213631
Blocks: 213659
  Show dependency treegraph
 
Reported: 2016-10-19 23:42 UTC by Kyle Evans
Modified: 2016-10-21 22:43 UTC (History)
1 user (show)

See Also:


Attachments
shar(1) archive of devel/arduino-libastylej (3.33 KB, application/x-shar)
2016-10-19 23:42 UTC, Kyle Evans
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2016-10-19 23:42:06 UTC
Created attachment 175955 [details]
shar(1) archive of devel/arduino-libastylej

Fairly straightforward slave port of devel/libastylej that applies the Arduino-specific patches to the used JNI functions. Sets PKGNAMEPREFIX to get lib/jni/arduino-libastylej.so and sets the PATCH{DIR,_WRKSRC} variables to use the Arduino patches.

Worth noting: I've created this shar(1) archive from the root of the ports tree to include CATEGORY/, unlike my previous submissions, on the advice of feld@ for good practice.
Comment 1 Boris Samorodov freebsd_committer 2016-10-20 10:43:58 UTC
Take.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-20 11:32:43 UTC
@Kyle Note that unified diffs (preferably svn diff) are also (now) allowed for new ports.

For this and future issues, confirmation of successful QA (portlint, poudriere) passing would also be appreciated (attaching logs is not required)
Comment 3 Kyle Evans freebsd_committer 2016-10-20 14:28:44 UTC
(In reply to Kubilay Kocak from comment #2)

@koobs: Noted, thank you.

For reference, portlint did not like this at all because of the lack of...well, almost all information. The things that do exist were shoved into the PORTNAME= section, but I let this slave port inherit everything from the master port and PKGNAMEPREFIX= it to be unique. Should I have done this part differently?

Also, fixed the non-fetching problem of the master port in the dependency PR #213631 -- I had assumed a basic 'works fine' from devel/libastylej being fine and `make package` yielding the results I expected. It didn't necessarily help that I already had the astyle distfile fetched from devel/astyle.
Comment 4 commit-hook freebsd_committer 2016-10-21 22:42:43 UTC
A commit references this bug:

Author: bsam
Date: Fri Oct 21 22:41:41 UTC 2016
New revision: 424439
URL: https://svnweb.freebsd.org/changeset/ports/424439

Log:
  Fairly straightforward slave port of devel/libastylej that applies
  the Arduino-specific patches to the used JNI functions. Sets PKGNAMESUFFIX
  to get lib/jni/libastyle-arduinoj.so and sets the PATCH{DIR, _WRKSRC}
  variables to use the Arduino patches.

  PR:		213632
  Submitted by:	Kyle Evans <bsdports@kyle-evans.net>

Changes:
  head/devel/Makefile
  head/devel/libastylej-arduino/
  head/devel/libastylej-arduino/Makefile
  head/devel/libastylej-arduino/files/
  head/devel/libastylej-arduino/files/patch-src_astyle__main.cpp
  head/devel/libastylej-arduino/files/patch-src_astyle__main.h
Comment 5 Boris Samorodov freebsd_committer 2016-10-21 22:43:31 UTC
Committed, thanks!